// PbIniCleanerDlg.h : header file
//

#if !defined(AFX_PBINICLEANERDLG_H__67EDF337_5447_4886_A856_433361A44913__INCLUDED_)
#define AFX_PBINICLEANERDLG_H__67EDF337_5447_4886_A856_433361A44913__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CPbIniCleanerDlg dialog
struct PbINILibrary {
	CString name, path, appname, key;
};

class CPbIniCleanerDlg : public CDialog
{
// Construction
public:
	void SetCheck(int index, BOOL bCheck);
	CPbIniCleanerDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CPbIniCleanerDlg)
	enum { IDD = IDD_PBINICLEANER_DIALOG };
	CButton	m_btnOk;
	CListCtrl	m_list;
	CString	m_szPbini;
	BOOL	m_bCheckAll;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CPbIniCleanerDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CPbIniCleanerDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnCheckAll();
	virtual void OnOK();
	afx_msg void OnClickList(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnItemchangedList(NMHDR* pNMHDR, LRESULT* pResult);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	CImageList m_imageList;

	void GetDefaultPBIni();
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_PBINICLEANERDLG_H__67EDF337_5447_4886_A856_433361A44913__INCLUDED_)
